View Single Post
Old 04-28-2016, 03:00 PM  
Prodigy
Junior Member
 
Join Date: Jul 2009
Posts: 20
Default

Link to binaries
Code:
https://mega.nz/#!FUFmEQ5T!jcgUKumTo0JvubJcF-WJsbBXPevmBmejrsk5Yt8jO1w
Virustotal result.

Link to source code (includes TCL Patch)
Code:
https://mega.nz/#!xU9mxb5J!Ijd5gwO1RM_fdwOrM-g460wgKdLdsZ0SrgDmNmQAqIg
How to upgrade :

1. As you know, currently most of the peers are recommended to disable SSL V2, and not recommended SSL V3, if you want to just enabling TLS, you need to set the following :
Code:
Encryption_Protocol     = NO_SSLv2 | NO_SSLv3 | TLS
*Without explicitly telling the ioFTPD NO_SSLv2 and NO_SSLv3, ftprush compatibility will broke (i have tried to contact them but instead they told me to use filezilla instead ). With only putting "TLS" in the Encryption_Protocol, the client that works are filezilla and flashfxp.
*Afaik for ftprush to work with TLS v1.2 you need to replace their current OpenSSL libraries (ssleay32.dll & libeay32.dll) with either from various windows build that are available in the internet or the one from my build.
2. Copy and replace all files and folders from /lib directory in my build into your current ioFTPD installation.
3. Copy and replace all executables (*.exe) & libraries (*.dll) & also *.pdb & *.map from /system directory in my build into your current ioFTPD installation.
4. I have statically linked the VS 2015 Update 2 runtime libraries into the ioFTPD, you should good to go without installing the runtime libraries. In the event if you needed it, in here where you can download it.


I hope this will be useful to someone

Last edited by Prodigy; 04-28-2016 at 03:06 PM.
Prodigy is offline   Reply With Quote